package cn.com.qmth.examcloud.core.questions.service.temp.vo;

/**
 * @author weiwenhai
 * @date 2018.11.23
 * @description 主观题导出
 */
public class SubQuestionDto {

    /**
     * 试卷id
     */
    private String paperId;

    /**
     * 试卷名称
     */
    private String paperName;

    /**
     * 课程代码
     */
    private String courseCode;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 大题序号
     */
    private Integer dNumber;

    /**
     * 题目序号
     */
    private Integer number;

    /**
     * 大题名称
     */
    private String detailName;

    /**
     * 原题干
     */
    private String body;

    /**
     * 去除标签后题干
     */
    private String clearBody;

    /**
     * 原答案
     */
    private String answer;

    /**
     * 去除标签答案
     */
    private String clearAnswer;

    /**
     * 分数
     */
    private Double score;

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getClearBody() {
        return clearBody;
    }

    public void setClearBody(String clearBody) {
        this.clearBody = clearBody;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getClearAnswer() {
        return clearAnswer;
    }

    public void setClearAnswer(String clearAnswer) {
        this.clearAnswer = clearAnswer;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getdNumber() {
        return dNumber;
    }

    public void setdNumber(Integer dNumber) {
        this.dNumber = dNumber;
    }

    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName;
    }

}